### Method

# Ide SourceView get_scroll_offset

#### Declaration

    guint
    ide_source_view_get_scroll_offset (
      IdeSourceView* self
    )

#### Description

Gets the `IdeSourceView:scroll-offset` property. This property contains the number of lines that should be kept above or below the line containing the insertion cursor relative to the top and bottom of the visible text window.

Available since: | 3.32

Gets property | `Ide.SourceView:scroll-offset`

#### Return value

Returns: | `guint`
| No description available.